--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: temp if block_given?
comment: 
- !ruby/struct:SM::Flow::P 
  body: Safely (atomically) save to <em>file</em>, by passing a tempfile to the block and then moving the tempfile to its final location when done.
full_name: "::Utils::safe_save"
is_singleton: true
name: safe_save
params: " Utils.safe_save(file, &block)\n"
visibility: public
